﻿
'------------------------------------------------------------------------------
' <auto-generated>
'     This code was generated by a tool.
'
'     Changes to this file may cause incorrect behavior and will be lost if
'     the code is regenerated.
' </auto-generated>
'------------------------------------------------------------------------------

Option Strict On
Option Explicit On

Imports __PropertyDocument = LightSwitchApplication.PropertyDocument
Imports __Landlord = LightSwitchApplication.Landlord

Namespace LightSwitchApplication

    #Region "Entities"
    
    ''' <summary>
    ''' No Modeled Description Available
    ''' </summary>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
    Public NotInheritable Partial Class PropertyDocument
        Inherits Global.Microsoft.LightSwitch.Framework.Base.EntityObject(Of __PropertyDocument, __PropertyDocument.DetailsClass)
    
        #Region "Constructors"
    
        ''' <summary>
        ''' Initializes a new instance of the PropertyDocument entity.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Sub New()
            Me.New(Nothing)
        End Sub
    
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Sub New(entitySet As Global.Microsoft.LightSwitch.Framework.EntitySet(Of __PropertyDocument))
            MyBase.New(entitySet)
            
            __PropertyDocument.DetailsClass.Initialize(Me)
        End Sub
    
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub PropertyDocument_Created()
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub PropertyDocument_AllowSaveWithErrors(ByRef result As Boolean)
        End Sub
    
        #End Region
    
        #Region "Private Properties"
        
        ''' <summary>
        ''' Gets the Application object for this application.  The Application object provides access to active screens, methods to open screens and access to the current user.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Private ReadOnly Property Application As Global.Microsoft.LightSwitch.IApplication(Of Global.LightSwitchApplication.DataWorkspace)
            Get
                Return Global.LightSwitchApplication.Application.Current
            End Get
        End Property
        
        ''' <summary>
        ''' Gets the containing data workspace.  The data workspace provides access to all data sources in the application.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Private ReadOnly Property DataWorkspace As Global.LightSwitchApplication.DataWorkspace
            Get
                Return DirectCast(Me.Details.EntitySet.Details.DataService.Details.DataWorkspace, Global.LightSwitchApplication.DataWorkspace)
            End Get
        End Property
        
        #End Region
    
        #Region "Public Properties"
    
        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property Id As Integer
            Get
                Return __PropertyDocument.DetailsClass.GetValue(Me, __PropertyDocument.DetailsClass.PropertySetProperties.Id)
            End Get
            Set
                __PropertyDocument.DetailsClass.SetValue(Me, __PropertyDocument.DetailsClass.PropertySetProperties.Id, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property RowVersion As Byte()
            Get
                Return __PropertyDocument.DetailsClass.GetValue(Me, __PropertyDocument.DetailsClass.PropertySetProperties.RowVersion)
            End Get
            Set
                __PropertyDocument.DetailsClass.SetValue(Me, __PropertyDocument.DetailsClass.PropertySetProperties.RowVersion, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property Document As Byte()
            Get
                Return __PropertyDocument.DetailsClass.GetValue(Me, __PropertyDocument.DetailsClass.PropertySetProperties.Document)
            End Get
            Set
                __PropertyDocument.DetailsClass.SetValue(Me, __PropertyDocument.DetailsClass.PropertySetProperties.Document, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Document_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Document_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Document_Changed()
        End Sub

        #End Region
    
        #Region "Details Class"
    
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
        <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public NotInheritable Class DetailsClass
            Inherits Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of _
                __PropertyDocument, _
                __PropertyDocument.DetailsClass, _
                __PropertyDocument.DetailsClass.IImplementation, _
                __PropertyDocument.DetailsClass.PropertySet, _
                Global.Microsoft.LightSwitch.Details.Framework.EntityCommandSet(Of __PropertyDocument, __PropertyDocument.DetailsClass), _
                Global.Microsoft.LightSwitch.Details.Framework.EntityMethodSet(Of __PropertyDocument, __PropertyDocument.DetailsClass))
    
            Shared Sub New()
                Dim initializeEntry = __PropertyDocument.DetailsClass.PropertySetProperties.Id
            End Sub
    
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private Shared ReadOnly __PropertyDocumentEntry As Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of __PropertyDocument, __PropertyDocument.DetailsClass).Entry = _
                New Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of __PropertyDocument, __PropertyDocument.DetailsClass).Entry( _
                    AddressOf __PropertyDocument.DetailsClass.__PropertyDocument_CreateNew, _
                    AddressOf __PropertyDocument.DetailsClass.__PropertyDocument_Created, _
                    AddressOf __PropertyDocument.DetailsClass.__PropertyDocument_AllowSaveWithErrors)
            Private Shared Function __PropertyDocument_CreateNew(es As Global.Microsoft.LightSwitch.Framework.EntitySet(Of __PropertyDocument)) As __PropertyDocument
                Return New __PropertyDocument(es)
            End Function
            Private Shared Sub __PropertyDocument_Created(e As __PropertyDocument)
                e.PropertyDocument_Created()
            End Sub
            Private Shared Function __PropertyDocument_AllowSaveWithErrors(e As __PropertyDocument) As Boolean
                Dim result As Boolean = False
                e.PropertyDocument_AllowSaveWithErrors(result)
                Return result
            End Function
    
            Public Sub New()
                MyBase.New()
            End Sub
    
            Public ReadOnly Shadows Property Commands As Global.Microsoft.LightSwitch.Details.Framework.EntityCommandSet(Of __PropertyDocument, __PropertyDocument.DetailsClass)
                Get
                    Return MyBase.Commands
                End Get
            End Property
    
            Public ReadOnly Shadows Property Methods As Global.Microsoft.LightSwitch.Details.Framework.EntityMethodSet(Of __PropertyDocument, __PropertyDocument.DetailsClass)
                Get
                    Return MyBase.Methods
                End Get
            End Property
    
            Public ReadOnly Shadows Property Properties As __PropertyDocument.DetailsClass.PropertySet
                Get
                    Return MyBase.Properties
                End Get
            End Property
    
            <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
            <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
            <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
            <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
            Public NotInheritable Class PropertySet
                Inherits Global.Microsoft.LightSwitch.Details.Framework.Base.EntityPropertySet(Of __PropertyDocument, __PropertyDocument.DetailsClass)
    
                Public Sub New()
                    MyBase.New()
                End Sub
    
                Public ReadOnly Property Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __PropertyDocument, __PropertyDocument.DetailsClass, Integer)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__PropertyDocument.DetailsClass.PropertySetProperties.Id),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __PropertyDocument, __PropertyDocument.DetailsClass, Integer))
                    End Get
                End Property
                
                Public ReadOnly Property RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __PropertyDocument, __PropertyDocument.DetailsClass, Byte())
                    Get
                        Return TryCast(
                            MyBase.GetItem(__PropertyDocument.DetailsClass.PropertySetProperties.RowVersion),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __PropertyDocument, __PropertyDocument.DetailsClass, Byte()))
                    End Get
                End Property
                
                Public ReadOnly Property Document As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __PropertyDocument, __PropertyDocument.DetailsClass, Byte())
                    Get
                        Return TryCast(
                            MyBase.GetItem(__PropertyDocument.DetailsClass.PropertySetProperties.Document),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __PropertyDocument, __PropertyDocument.DetailsClass, Byte()))
                    End Get
                End Property
                
            End Class
    
            <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
            Public Interface IImplementation
                Inherits Global.Microsoft.LightSwitch.Internal.IEntityImplementation
    
                Shadows Property Id As Integer
                Shadows Property RowVersion As Byte()
                Shadows Property Document As Byte()
    
            End Interface
    
            <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
            <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
            <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
            Friend Class PropertySetProperties
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __PropertyDocument, __PropertyDocument.DetailsClass, Integer).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __PropertyDocument, __PropertyDocument.DetailsClass, Integer).Entry( _
                        "Id", _
                        AddressOf __PropertyDocument.DetailsClass.PropertySetProperties._Id_Stub, _
                        AddressOf __PropertyDocument.DetailsClass.PropertySetProperties._Id_ComputeIsReadOnly, _
                        AddressOf __PropertyDocument.DetailsClass.PropertySetProperties._Id_Validate, _
                        AddressOf __PropertyDocument.DetailsClass.PropertySetProperties._Id_GetImplementationValue, _
                        AddressOf __PropertyDocument.DetailsClass.PropertySetProperties._Id_SetImplementationValue, _
                        AddressOf __PropertyDocument.DetailsClass.PropertySetProperties._Id_OnValueChanged)
                Private Shared Sub _Id_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __PropertyDocument.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __PropertyDocument, __PropertyDocument.DetailsClass, Integer).Data), d As __PropertyDocument.DetailsClass, sf As Object)
                    c(d, d._Id, sf)
                End Sub
                Private Shared Function _Id_ComputeIsReadOnly(e As __PropertyDocument) As Boolean
                    Dim result As Boolean = False
                    e.Id_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _Id_Validate(e As __PropertyDocument, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.Id_Validate(r)
                End Sub
                Private Shared Function _Id_GetImplementationValue(d As __PropertyDocument.DetailsClass) As Integer
                    Return d.ImplementationEntity.Id
                End Function
                Private Shared Sub _Id_SetImplementationValue(d As __PropertyDocument.DetailsClass, v As Integer)
                    d.ImplementationEntity.Id = v
                End Sub
                Private Shared Sub _Id_OnValueChanged(e As __PropertyDocument)
                    e.Id_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __PropertyDocument, __PropertyDocument.DetailsClass, Byte()).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __PropertyDocument, __PropertyDocument.DetailsClass, Byte()).Entry( _
                        "RowVersion", _
                        AddressOf __PropertyDocument.DetailsClass.PropertySetProperties._RowVersion_Stub, _
                        AddressOf __PropertyDocument.DetailsClass.PropertySetProperties._RowVersion_ComputeIsReadOnly, _
                        AddressOf __PropertyDocument.DetailsClass.PropertySetProperties._RowVersion_Validate, _
                        AddressOf __PropertyDocument.DetailsClass.PropertySetProperties._RowVersion_GetImplementationValue, _
                        AddressOf __PropertyDocument.DetailsClass.PropertySetProperties._RowVersion_SetImplementationValue, _
                        AddressOf __PropertyDocument.DetailsClass.PropertySetProperties._RowVersion_OnValueChanged)
                Private Shared Sub _RowVersion_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __PropertyDocument.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __PropertyDocument, __PropertyDocument.DetailsClass, Byte()).Data), d As __PropertyDocument.DetailsClass, sf As Object)
                    c(d, d._RowVersion, sf)
                End Sub
                Private Shared Function _RowVersion_ComputeIsReadOnly(e As __PropertyDocument) As Boolean
                    Dim result As Boolean = False
                    e.RowVersion_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _RowVersion_Validate(e As __PropertyDocument, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.RowVersion_Validate(r)
                End Sub
                Private Shared Function _RowVersion_GetImplementationValue(d As __PropertyDocument.DetailsClass) As Byte()
                    Return d.ImplementationEntity.RowVersion
                End Function
                Private Shared Sub _RowVersion_SetImplementationValue(d As __PropertyDocument.DetailsClass, v As Byte())
                    d.ImplementationEntity.RowVersion = v
                End Sub
                Private Shared Sub _RowVersion_OnValueChanged(e As __PropertyDocument)
                    e.RowVersion_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly Document As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __PropertyDocument, __PropertyDocument.DetailsClass, Byte()).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __PropertyDocument, __PropertyDocument.DetailsClass, Byte()).Entry( _
                        "Document", _
                        AddressOf __PropertyDocument.DetailsClass.PropertySetProperties._Document_Stub, _
                        AddressOf __PropertyDocument.DetailsClass.PropertySetProperties._Document_ComputeIsReadOnly, _
                        AddressOf __PropertyDocument.DetailsClass.PropertySetProperties._Document_Validate, _
                        AddressOf __PropertyDocument.DetailsClass.PropertySetProperties._Document_GetImplementationValue, _
                        AddressOf __PropertyDocument.DetailsClass.PropertySetProperties._Document_SetImplementationValue, _
                        AddressOf __PropertyDocument.DetailsClass.PropertySetProperties._Document_OnValueChanged)
                Private Shared Sub _Document_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __PropertyDocument.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __PropertyDocument, __PropertyDocument.DetailsClass, Byte()).Data), d As __PropertyDocument.DetailsClass, sf As Object)
                    c(d, d._Document, sf)
                End Sub
                Private Shared Function _Document_ComputeIsReadOnly(e As __PropertyDocument) As Boolean
                    Dim result As Boolean = False
                    e.Document_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _Document_Validate(e As __PropertyDocument, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.Document_Validate(r)
                End Sub
                Private Shared Function _Document_GetImplementationValue(d As __PropertyDocument.DetailsClass) As Byte()
                    Return d.ImplementationEntity.Document
                End Function
                Private Shared Sub _Document_SetImplementationValue(d As __PropertyDocument.DetailsClass, v As Byte())
                    d.ImplementationEntity.Document = v
                End Sub
                Private Shared Sub _Document_OnValueChanged(e As __PropertyDocument)
                    e.Document_Changed()
                End Sub
    
            End Class
    
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __PropertyDocument, __PropertyDocument.DetailsClass, Integer).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __PropertyDocument, __PropertyDocument.DetailsClass, Byte()).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _Document As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __PropertyDocument, __PropertyDocument.DetailsClass, Byte()).Data
            
        End Class
    
        #End Region
    
    End Class
    
    ''' <summary>
    ''' No Modeled Description Available
    ''' </summary>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
    Public NotInheritable Partial Class Landlord
        Inherits Global.Microsoft.LightSwitch.Framework.Base.EntityObject(Of __Landlord, __Landlord.DetailsClass)
    
        #Region "Constructors"
    
        ''' <summary>
        ''' Initializes a new instance of the Landlord entity.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Sub New()
            Me.New(Nothing)
        End Sub
    
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Sub New(entitySet As Global.Microsoft.LightSwitch.Framework.EntitySet(Of __Landlord))
            MyBase.New(entitySet)
            
            __Landlord.DetailsClass.Initialize(Me)
        End Sub
    
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Landlord_Created()
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Landlord_AllowSaveWithErrors(ByRef result As Boolean)
        End Sub
    
        #End Region
    
        #Region "Private Properties"
        
        ''' <summary>
        ''' Gets the Application object for this application.  The Application object provides access to active screens, methods to open screens and access to the current user.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Private ReadOnly Property Application As Global.Microsoft.LightSwitch.IApplication(Of Global.LightSwitchApplication.DataWorkspace)
            Get
                Return Global.LightSwitchApplication.Application.Current
            End Get
        End Property
        
        ''' <summary>
        ''' Gets the containing data workspace.  The data workspace provides access to all data sources in the application.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Private ReadOnly Property DataWorkspace As Global.LightSwitchApplication.DataWorkspace
            Get
                Return DirectCast(Me.Details.EntitySet.Details.DataService.Details.DataWorkspace, Global.LightSwitchApplication.DataWorkspace)
            End Get
        End Property
        
        #End Region
    
        #Region "Public Properties"
    
        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property Id As Integer
            Get
                Return __Landlord.DetailsClass.GetValue(Me, __Landlord.DetailsClass.PropertySetProperties.Id)
            End Get
            Set
                __Landlord.DetailsClass.SetValue(Me, __Landlord.DetailsClass.PropertySetProperties.Id, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property RowVersion As Byte()
            Get
                Return __Landlord.DetailsClass.GetValue(Me, __Landlord.DetailsClass.PropertySetProperties.RowVersion)
            End Get
            Set
                __Landlord.DetailsClass.SetValue(Me, __Landlord.DetailsClass.PropertySetProperties.RowVersion, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property Name As String
            Get
                Return __Landlord.DetailsClass.GetValue(Me, __Landlord.DetailsClass.PropertySetProperties.Name)
            End Get
            Set
                __Landlord.DetailsClass.SetValue(Me, __Landlord.DetailsClass.PropertySetProperties.Name, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Name_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Name_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Name_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property Address As String
            Get
                Return __Landlord.DetailsClass.GetValue(Me, __Landlord.DetailsClass.PropertySetProperties.Address)
            End Get
            Set
                __Landlord.DetailsClass.SetValue(Me, __Landlord.DetailsClass.PropertySetProperties.Address, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Address_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Address_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Address_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property PhoneNumber As String
            Get
                Return __Landlord.DetailsClass.GetValue(Me, __Landlord.DetailsClass.PropertySetProperties.PhoneNumber)
            End Get
            Set
                __Landlord.DetailsClass.SetValue(Me, __Landlord.DetailsClass.PropertySetProperties.PhoneNumber, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub PhoneNumber_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub PhoneNumber_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub PhoneNumber_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property EmailAddress As String
            Get
                Return __Landlord.DetailsClass.GetValue(Me, __Landlord.DetailsClass.PropertySetProperties.EmailAddress)
            End Get
            Set
                __Landlord.DetailsClass.SetValue(Me, __Landlord.DetailsClass.PropertySetProperties.EmailAddress, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub EmailAddress_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub EmailAddress_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub EmailAddress_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property WebAddress As String
            Get
                Return __Landlord.DetailsClass.GetValue(Me, __Landlord.DetailsClass.PropertySetProperties.WebAddress)
            End Get
            Set
                __Landlord.DetailsClass.SetValue(Me, __Landlord.DetailsClass.PropertySetProperties.WebAddress, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub WebAddress_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub WebAddress_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub WebAddress_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property PinNumber As String
            Get
                Return __Landlord.DetailsClass.GetValue(Me, __Landlord.DetailsClass.PropertySetProperties.PinNumber)
            End Get
            Set
                __Landlord.DetailsClass.SetValue(Me, __Landlord.DetailsClass.PropertySetProperties.PinNumber, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub PinNumber_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub PinNumber_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub PinNumber_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public ReadOnly Property PropertyHeaders As Global.Microsoft.LightSwitch.Framework.EntityCollection(Of Global.LightSwitchApplication.PropertyHeader)
            Get
                Return __Landlord.DetailsClass.GetValue(Me, __Landlord.DetailsClass.PropertySetProperties.PropertyHeaders)
            End Get
        End Property
        
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public ReadOnly Property PropertyHeadersQuery As Microsoft.LightSwitch.IDataServiceQueryable(Of Global.LightSwitchApplication.PropertyHeader)
            Get
                Return __Landlord.DetailsClass.GetQuery(Me, __Landlord.DetailsClass.PropertySetProperties.PropertyHeaders)
            End Get
        End Property

        #End Region
    
        #Region "Details Class"
    
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
        <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public NotInheritable Class DetailsClass
            Inherits Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of _
                __Landlord, _
                __Landlord.DetailsClass, _
                __Landlord.DetailsClass.IImplementation, _
                __Landlord.DetailsClass.PropertySet, _
                Global.Microsoft.LightSwitch.Details.Framework.EntityCommandSet(Of __Landlord, __Landlord.DetailsClass), _
                Global.Microsoft.LightSwitch.Details.Framework.EntityMethodSet(Of __Landlord, __Landlord.DetailsClass))
    
            Shared Sub New()
                Dim initializeEntry = __Landlord.DetailsClass.PropertySetProperties.Id
            End Sub
    
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private Shared ReadOnly __LandlordEntry As Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of __Landlord, __Landlord.DetailsClass).Entry = _
                New Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of __Landlord, __Landlord.DetailsClass).Entry( _
                    AddressOf __Landlord.DetailsClass.__Landlord_CreateNew, _
                    AddressOf __Landlord.DetailsClass.__Landlord_Created, _
                    AddressOf __Landlord.DetailsClass.__Landlord_AllowSaveWithErrors)
            Private Shared Function __Landlord_CreateNew(es As Global.Microsoft.LightSwitch.Framework.EntitySet(Of __Landlord)) As __Landlord
                Return New __Landlord(es)
            End Function
            Private Shared Sub __Landlord_Created(e As __Landlord)
                e.Landlord_Created()
            End Sub
            Private Shared Function __Landlord_AllowSaveWithErrors(e As __Landlord) As Boolean
                Dim result As Boolean = False
                e.Landlord_AllowSaveWithErrors(result)
                Return result
            End Function
    
            Public Sub New()
                MyBase.New()
            End Sub
    
            Public ReadOnly Shadows Property Commands As Global.Microsoft.LightSwitch.Details.Framework.EntityCommandSet(Of __Landlord, __Landlord.DetailsClass)
                Get
                    Return MyBase.Commands
                End Get
            End Property
    
            Public ReadOnly Shadows Property Methods As Global.Microsoft.LightSwitch.Details.Framework.EntityMethodSet(Of __Landlord, __Landlord.DetailsClass)
                Get
                    Return MyBase.Methods
                End Get
            End Property
    
            Public ReadOnly Shadows Property Properties As __Landlord.DetailsClass.PropertySet
                Get
                    Return MyBase.Properties
                End Get
            End Property
    
            <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
            <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
            <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
            <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
            Public NotInheritable Class PropertySet
                Inherits Global.Microsoft.LightSwitch.Details.Framework.Base.EntityPropertySet(Of __Landlord, __Landlord.DetailsClass)
    
                Public Sub New()
                    MyBase.New()
                End Sub
    
                Public ReadOnly Property Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Landlord, __Landlord.DetailsClass, Integer)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__Landlord.DetailsClass.PropertySetProperties.Id),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Landlord, __Landlord.DetailsClass, Integer))
                    End Get
                End Property
                
                Public ReadOnly Property RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Landlord, __Landlord.DetailsClass, Byte())
                    Get
                        Return TryCast(
                            MyBase.GetItem(__Landlord.DetailsClass.PropertySetProperties.RowVersion),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Landlord, __Landlord.DetailsClass, Byte()))
                    End Get
                End Property
                
                Public ReadOnly Property Name As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Landlord, __Landlord.DetailsClass, String)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__Landlord.DetailsClass.PropertySetProperties.Name),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Landlord, __Landlord.DetailsClass, String))
                    End Get
                End Property
                
                Public ReadOnly Property Address As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Landlord, __Landlord.DetailsClass, String)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__Landlord.DetailsClass.PropertySetProperties.Address),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Landlord, __Landlord.DetailsClass, String))
                    End Get
                End Property
                
                Public ReadOnly Property PhoneNumber As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Landlord, __Landlord.DetailsClass, String)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__Landlord.DetailsClass.PropertySetProperties.PhoneNumber),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Landlord, __Landlord.DetailsClass, String))
                    End Get
                End Property
                
                Public ReadOnly Property EmailAddress As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Landlord, __Landlord.DetailsClass, String)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__Landlord.DetailsClass.PropertySetProperties.EmailAddress),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Landlord, __Landlord.DetailsClass, String))
                    End Get
                End Property
                
                Public ReadOnly Property WebAddress As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Landlord, __Landlord.DetailsClass, String)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__Landlord.DetailsClass.PropertySetProperties.WebAddress),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Landlord, __Landlord.DetailsClass, String))
                    End Get
                End Property
                
                Public ReadOnly Property PinNumber As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Landlord, __Landlord.DetailsClass, String)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__Landlord.DetailsClass.PropertySetProperties.PinNumber),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Landlord, __Landlord.DetailsClass, String))
                    End Get
                End Property
                
                Public ReadOnly Property PropertyHeaders As Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __Landlord, __Landlord.DetailsClass, Global.LightSwitchApplication.PropertyHeader)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__Landlord.DetailsClass.PropertySetProperties.PropertyHeaders),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __Landlord, __Landlord.DetailsClass, Global.LightSwitchApplication.PropertyHeader))
                    End Get
                End Property
                
            End Class
    
            <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
            Public Interface IImplementation
                Inherits Global.Microsoft.LightSwitch.Internal.IEntityImplementation
    
                Shadows Property Id As Integer
                Shadows Property RowVersion As Byte()
                Shadows Property Name As String
                Shadows Property Address As String
                Shadows Property PhoneNumber As String
                Shadows Property EmailAddress As String
                Shadows Property WebAddress As String
                Shadows Property PinNumber As String
                Shadows ReadOnly Property PropertyHeaders As Global.System.Collections.IEnumerable
    
            End Interface
    
            <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
            <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
            <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
            Friend Class PropertySetProperties
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Landlord, __Landlord.DetailsClass, Integer).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Landlord, __Landlord.DetailsClass, Integer).Entry( _
                        "Id", _
                        AddressOf __Landlord.DetailsClass.PropertySetProperties._Id_Stub, _
                        AddressOf __Landlord.DetailsClass.PropertySetProperties._Id_ComputeIsReadOnly, _
                        AddressOf __Landlord.DetailsClass.PropertySetProperties._Id_Validate, _
                        AddressOf __Landlord.DetailsClass.PropertySetProperties._Id_GetImplementationValue, _
                        AddressOf __Landlord.DetailsClass.PropertySetProperties._Id_SetImplementationValue, _
                        AddressOf __Landlord.DetailsClass.PropertySetProperties._Id_OnValueChanged)
                Private Shared Sub _Id_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __Landlord.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Landlord, __Landlord.DetailsClass, Integer).Data), d As __Landlord.DetailsClass, sf As Object)
                    c(d, d._Id, sf)
                End Sub
                Private Shared Function _Id_ComputeIsReadOnly(e As __Landlord) As Boolean
                    Dim result As Boolean = False
                    e.Id_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _Id_Validate(e As __Landlord, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.Id_Validate(r)
                End Sub
                Private Shared Function _Id_GetImplementationValue(d As __Landlord.DetailsClass) As Integer
                    Return d.ImplementationEntity.Id
                End Function
                Private Shared Sub _Id_SetImplementationValue(d As __Landlord.DetailsClass, v As Integer)
                    d.ImplementationEntity.Id = v
                End Sub
                Private Shared Sub _Id_OnValueChanged(e As __Landlord)
                    e.Id_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Landlord, __Landlord.DetailsClass, Byte()).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Landlord, __Landlord.DetailsClass, Byte()).Entry( _
                        "RowVersion", _
                        AddressOf __Landlord.DetailsClass.PropertySetProperties._RowVersion_Stub, _
                        AddressOf __Landlord.DetailsClass.PropertySetProperties._RowVersion_ComputeIsReadOnly, _
                        AddressOf __Landlord.DetailsClass.PropertySetProperties._RowVersion_Validate, _
                        AddressOf __Landlord.DetailsClass.PropertySetProperties._RowVersion_GetImplementationValue, _
                        AddressOf __Landlord.DetailsClass.PropertySetProperties._RowVersion_SetImplementationValue, _
                        AddressOf __Landlord.DetailsClass.PropertySetProperties._RowVersion_OnValueChanged)
                Private Shared Sub _RowVersion_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __Landlord.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Landlord, __Landlord.DetailsClass, Byte()).Data), d As __Landlord.DetailsClass, sf As Object)
                    c(d, d._RowVersion, sf)
                End Sub
                Private Shared Function _RowVersion_ComputeIsReadOnly(e As __Landlord) As Boolean
                    Dim result As Boolean = False
                    e.RowVersion_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _RowVersion_Validate(e As __Landlord, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.RowVersion_Validate(r)
                End Sub
                Private Shared Function _RowVersion_GetImplementationValue(d As __Landlord.DetailsClass) As Byte()
                    Return d.ImplementationEntity.RowVersion
                End Function
                Private Shared Sub _RowVersion_SetImplementationValue(d As __Landlord.DetailsClass, v As Byte())
                    d.ImplementationEntity.RowVersion = v
                End Sub
                Private Shared Sub _RowVersion_OnValueChanged(e As __Landlord)
                    e.RowVersion_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly Name As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Landlord, __Landlord.DetailsClass, String).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Landlord, __Landlord.DetailsClass, String).Entry( _
                        "Name", _
                        AddressOf __Landlord.DetailsClass.PropertySetProperties._Name_Stub, _
                        AddressOf __Landlord.DetailsClass.PropertySetProperties._Name_ComputeIsReadOnly, _
                        AddressOf __Landlord.DetailsClass.PropertySetProperties._Name_Validate, _
                        AddressOf __Landlord.DetailsClass.PropertySetProperties._Name_GetImplementationValue, _
                        AddressOf __Landlord.DetailsClass.PropertySetProperties._Name_SetImplementationValue, _
                        AddressOf __Landlord.DetailsClass.PropertySetProperties._Name_OnValueChanged)
                Private Shared Sub _Name_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __Landlord.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Landlord, __Landlord.DetailsClass, String).Data), d As __Landlord.DetailsClass, sf As Object)
                    c(d, d._Name, sf)
                End Sub
                Private Shared Function _Name_ComputeIsReadOnly(e As __Landlord) As Boolean
                    Dim result As Boolean = False
                    e.Name_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _Name_Validate(e As __Landlord, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.Name_Validate(r)
                End Sub
                Private Shared Function _Name_GetImplementationValue(d As __Landlord.DetailsClass) As String
                    Return d.ImplementationEntity.Name
                End Function
                Private Shared Sub _Name_SetImplementationValue(d As __Landlord.DetailsClass, v As String)
                    d.ImplementationEntity.Name = v
                End Sub
                Private Shared Sub _Name_OnValueChanged(e As __Landlord)
                    e.Name_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly Address As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Landlord, __Landlord.DetailsClass, String).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Landlord, __Landlord.DetailsClass, String).Entry( _
                        "Address", _
                        AddressOf __Landlord.DetailsClass.PropertySetProperties._Address_Stub, _
                        AddressOf __Landlord.DetailsClass.PropertySetProperties._Address_ComputeIsReadOnly, _
                        AddressOf __Landlord.DetailsClass.PropertySetProperties._Address_Validate, _
                        AddressOf __Landlord.DetailsClass.PropertySetProperties._Address_GetImplementationValue, _
                        AddressOf __Landlord.DetailsClass.PropertySetProperties._Address_SetImplementationValue, _
                        AddressOf __Landlord.DetailsClass.PropertySetProperties._Address_OnValueChanged)
                Private Shared Sub _Address_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __Landlord.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Landlord, __Landlord.DetailsClass, String).Data), d As __Landlord.DetailsClass, sf As Object)
                    c(d, d._Address, sf)
                End Sub
                Private Shared Function _Address_ComputeIsReadOnly(e As __Landlord) As Boolean
                    Dim result As Boolean = False
                    e.Address_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _Address_Validate(e As __Landlord, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.Address_Validate(r)
                End Sub
                Private Shared Function _Address_GetImplementationValue(d As __Landlord.DetailsClass) As String
                    Return d.ImplementationEntity.Address
                End Function
                Private Shared Sub _Address_SetImplementationValue(d As __Landlord.DetailsClass, v As String)
                    d.ImplementationEntity.Address = v
                End Sub
                Private Shared Sub _Address_OnValueChanged(e As __Landlord)
                    e.Address_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly PhoneNumber As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Landlord, __Landlord.DetailsClass, String).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Landlord, __Landlord.DetailsClass, String).Entry( _
                        "PhoneNumber", _
                        AddressOf __Landlord.DetailsClass.PropertySetProperties._PhoneNumber_Stub, _
                        AddressOf __Landlord.DetailsClass.PropertySetProperties._PhoneNumber_ComputeIsReadOnly, _
                        AddressOf __Landlord.DetailsClass.PropertySetProperties._PhoneNumber_Validate, _
                        AddressOf __Landlord.DetailsClass.PropertySetProperties._PhoneNumber_GetImplementationValue, _
                        AddressOf __Landlord.DetailsClass.PropertySetProperties._PhoneNumber_SetImplementationValue, _
                        AddressOf __Landlord.DetailsClass.PropertySetProperties._PhoneNumber_OnValueChanged)
                Private Shared Sub _PhoneNumber_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __Landlord.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Landlord, __Landlord.DetailsClass, String).Data), d As __Landlord.DetailsClass, sf As Object)
                    c(d, d._PhoneNumber, sf)
                End Sub
                Private Shared Function _PhoneNumber_ComputeIsReadOnly(e As __Landlord) As Boolean
                    Dim result As Boolean = False
                    e.PhoneNumber_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _PhoneNumber_Validate(e As __Landlord, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.PhoneNumber_Validate(r)
                End Sub
                Private Shared Function _PhoneNumber_GetImplementationValue(d As __Landlord.DetailsClass) As String
                    Return d.ImplementationEntity.PhoneNumber
                End Function
                Private Shared Sub _PhoneNumber_SetImplementationValue(d As __Landlord.DetailsClass, v As String)
                    d.ImplementationEntity.PhoneNumber = v
                End Sub
                Private Shared Sub _PhoneNumber_OnValueChanged(e As __Landlord)
                    e.PhoneNumber_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly EmailAddress As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Landlord, __Landlord.DetailsClass, String).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Landlord, __Landlord.DetailsClass, String).Entry( _
                        "EmailAddress", _
                        AddressOf __Landlord.DetailsClass.PropertySetProperties._EmailAddress_Stub, _
                        AddressOf __Landlord.DetailsClass.PropertySetProperties._EmailAddress_ComputeIsReadOnly, _
                        AddressOf __Landlord.DetailsClass.PropertySetProperties._EmailAddress_Validate, _
                        AddressOf __Landlord.DetailsClass.PropertySetProperties._EmailAddress_GetImplementationValue, _
                        AddressOf __Landlord.DetailsClass.PropertySetProperties._EmailAddress_SetImplementationValue, _
                        AddressOf __Landlord.DetailsClass.PropertySetProperties._EmailAddress_OnValueChanged)
                Private Shared Sub _EmailAddress_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __Landlord.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Landlord, __Landlord.DetailsClass, String).Data), d As __Landlord.DetailsClass, sf As Object)
                    c(d, d._EmailAddress, sf)
                End Sub
                Private Shared Function _EmailAddress_ComputeIsReadOnly(e As __Landlord) As Boolean
                    Dim result As Boolean = False
                    e.EmailAddress_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _EmailAddress_Validate(e As __Landlord, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.EmailAddress_Validate(r)
                End Sub
                Private Shared Function _EmailAddress_GetImplementationValue(d As __Landlord.DetailsClass) As String
                    Return d.ImplementationEntity.EmailAddress
                End Function
                Private Shared Sub _EmailAddress_SetImplementationValue(d As __Landlord.DetailsClass, v As String)
                    d.ImplementationEntity.EmailAddress = v
                End Sub
                Private Shared Sub _EmailAddress_OnValueChanged(e As __Landlord)
                    e.EmailAddress_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly WebAddress As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Landlord, __Landlord.DetailsClass, String).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Landlord, __Landlord.DetailsClass, String).Entry( _
                        "WebAddress", _
                        AddressOf __Landlord.DetailsClass.PropertySetProperties._WebAddress_Stub, _
                        AddressOf __Landlord.DetailsClass.PropertySetProperties._WebAddress_ComputeIsReadOnly, _
                        AddressOf __Landlord.DetailsClass.PropertySetProperties._WebAddress_Validate, _
                        AddressOf __Landlord.DetailsClass.PropertySetProperties._WebAddress_GetImplementationValue, _
                        AddressOf __Landlord.DetailsClass.PropertySetProperties._WebAddress_SetImplementationValue, _
                        AddressOf __Landlord.DetailsClass.PropertySetProperties._WebAddress_OnValueChanged)
                Private Shared Sub _WebAddress_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __Landlord.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Landlord, __Landlord.DetailsClass, String).Data), d As __Landlord.DetailsClass, sf As Object)
                    c(d, d._WebAddress, sf)
                End Sub
                Private Shared Function _WebAddress_ComputeIsReadOnly(e As __Landlord) As Boolean
                    Dim result As Boolean = False
                    e.WebAddress_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _WebAddress_Validate(e As __Landlord, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.WebAddress_Validate(r)
                End Sub
                Private Shared Function _WebAddress_GetImplementationValue(d As __Landlord.DetailsClass) As String
                    Return d.ImplementationEntity.WebAddress
                End Function
                Private Shared Sub _WebAddress_SetImplementationValue(d As __Landlord.DetailsClass, v As String)
                    d.ImplementationEntity.WebAddress = v
                End Sub
                Private Shared Sub _WebAddress_OnValueChanged(e As __Landlord)
                    e.WebAddress_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly PinNumber As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Landlord, __Landlord.DetailsClass, String).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Landlord, __Landlord.DetailsClass, String).Entry( _
                        "PinNumber", _
                        AddressOf __Landlord.DetailsClass.PropertySetProperties._PinNumber_Stub, _
                        AddressOf __Landlord.DetailsClass.PropertySetProperties._PinNumber_ComputeIsReadOnly, _
                        AddressOf __Landlord.DetailsClass.PropertySetProperties._PinNumber_Validate, _
                        AddressOf __Landlord.DetailsClass.PropertySetProperties._PinNumber_GetImplementationValue, _
                        AddressOf __Landlord.DetailsClass.PropertySetProperties._PinNumber_SetImplementationValue, _
                        AddressOf __Landlord.DetailsClass.PropertySetProperties._PinNumber_OnValueChanged)
                Private Shared Sub _PinNumber_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __Landlord.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Landlord, __Landlord.DetailsClass, String).Data), d As __Landlord.DetailsClass, sf As Object)
                    c(d, d._PinNumber, sf)
                End Sub
                Private Shared Function _PinNumber_ComputeIsReadOnly(e As __Landlord) As Boolean
                    Dim result As Boolean = False
                    e.PinNumber_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _PinNumber_Validate(e As __Landlord, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.PinNumber_Validate(r)
                End Sub
                Private Shared Function _PinNumber_GetImplementationValue(d As __Landlord.DetailsClass) As String
                    Return d.ImplementationEntity.PinNumber
                End Function
                Private Shared Sub _PinNumber_SetImplementationValue(d As __Landlord.DetailsClass, v As String)
                    d.ImplementationEntity.PinNumber = v
                End Sub
                Private Shared Sub _PinNumber_OnValueChanged(e As __Landlord)
                    e.PinNumber_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly PropertyHeaders As Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __Landlord, __Landlord.DetailsClass, Global.LightSwitchApplication.PropertyHeader).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __Landlord, __Landlord.DetailsClass, Global.LightSwitchApplication.PropertyHeader).Entry( _
                        "PropertyHeaders", _
                        AddressOf __Landlord.DetailsClass.PropertySetProperties._PropertyHeaders_Stub, _
                        AddressOf __Landlord.DetailsClass.PropertySetProperties._PropertyHeaders_GetReferencedEntities, _
                        AddressOf __Landlord.DetailsClass.PropertySetProperties._PropertyHeaders_GetEntityCollection)
                Private Shared Sub _PropertyHeaders_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __Landlord.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __Landlord, __Landlord.DetailsClass, Global.LightSwitchApplication.PropertyHeader).Data), d As __Landlord.DetailsClass, sf As Object)
                    c(d, d._PropertyHeaders, sf)
                End Sub
                Private Shared Function _PropertyHeaders_GetReferencedEntities(d As __Landlord.DetailsClass) As Global.System.Collections.Generic.IEnumerable(Of Global.LightSwitchApplication.PropertyHeader)
                    Return d.GetReferencedEntities(Of Global.LightSwitchApplication.PropertyHeader, Global.LightSwitchApplication.PropertyHeader.DetailsClass)(__Landlord.DetailsClass.PropertySetProperties.PropertyHeaders, d._PropertyHeaders)
                End Function
                Private Shared Function _PropertyHeaders_GetEntityCollection(d As __Landlord.DetailsClass) As Global.System.Collections.IEnumerable
                    Return d.ImplementationEntity.PropertyHeaders
                End Function
    
            End Class
    
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Landlord, __Landlord.DetailsClass, Integer).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Landlord, __Landlord.DetailsClass, Byte()).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _Name As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Landlord, __Landlord.DetailsClass, String).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _Address As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Landlord, __Landlord.DetailsClass, String).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _PhoneNumber As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Landlord, __Landlord.DetailsClass, String).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _EmailAddress As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Landlord, __Landlord.DetailsClass, String).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _WebAddress As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Landlord, __Landlord.DetailsClass, String).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _PinNumber As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __Landlord, __Landlord.DetailsClass, String).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _PropertyHeaders As Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __Landlord, __Landlord.DetailsClass, Global.LightSwitchApplication.PropertyHeader).Data
            
        End Class
    
        #End Region
    
    End Class
    
    #End Region
End Namespace
